Next: Meta Syntax, Up: Meta-Dependent

#### 9.25.1 Options

The Imagination Technologies Meta architecture is implemented in a number of versions, with each new version adding new features such as instructions and registers. For precise details of what instructions each core supports, please see the chip's technical reference manual.

The following table lists all available Meta options.

`-mcpu=metac11`
  Generate code for Meta 1.1.
`-mcpu=metac12`
  Generate code for Meta 1.2.
`-mcpu=metac21`
  Generate code for Meta 2.1.
`-mfpu=metac21`
  Allow code to use FPU hardware of Meta 2.1.